/*
*  Rubrica
*  file: interface.h
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __RUBRICA_INTERFACE_H
#define __RUBRICA_INTERFACE_H

#include <gconf/gconf-client.h>

#include "rubrica_type.h"

GtkWidget* rubrica_interface_create_rubrica_app (GConfClient *client);

GtkWidget* rubrica_interface_append_doc_child   (GtkWidget *notebook,
						 RubricaDocType type, 
						 gchar *str);
// GtkWidget* rubrica_interface_create_data_view   (gchar *str);
GtkWidget* rubrica_interface_create_buttons_box (void);
GtkWidget* rubrica_interface_create_info_box    (GConfClient *client);

void       rubrica_interface_add_group_columns  (GtkWidget *view);
void       rubrica_interface_populate_model     (GtkListStore* model);
void       rubrica_group_row_selected           (GtkTreeSelection *select, 
						 gpointer data);
#endif
